# Interface BinaryTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface BinaryTree extends ExpressionTree
A tree node for a binary expression. Use `getKind` to determine the kind of operator. For example:

      leftOperand operator rightOperand

See Java Language Specification:
  15.17 Multiplicative Operators
  15.18 Additive Operators
  15.19 Shift Operators
  15.20 Relational Operators
  15.21 Equality Operators
  15.22 Bitwise and Logical Operators
  15.23 Conditional-And Operator `&&`
  15.24 Conditional-Or Operator `||`
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExpressionTree`
  `getLeftOperand()`
  Returns the left (first) operand of the expression.
  `ExpressionTree`
  `getRightOperand()`
  Returns the right (second) operand of the expression.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### getLeftOperand

    ExpressionTree getLeftOperand()
    Returns the left (first) operand of the expression.
    Returns:
      the left operand

  - ### getRightOperand

    ExpressionTree getRightOperand()
    Returns the right (second) operand of the expression.
    Returns:
      the right operand